Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.runner
Class BasicSqlRunner

    java.lang.Object
      sharin.sql.runner.BasicSqlRunner

All Implemented Interfaces:
  SqlRunner

    public class BasicSqlRunner

extends Object
implements SqlRunner

Constructor Summary
`BasicSqlRunner(DataSource dataSource)`
`BasicSqlRunner(DataSource dataSource, ResultSetProcessor objectProcessor)`
`BasicSqlRunner(DataSource dataSource, ResultSetProcessor objectProcessor, ResultSetProcessor idProcessor)`

Method Summary
`int` | `delete(Sql sql)`
`int` | `execute(Sql sql)`
`int` | `insert(Sql sql)`
`
`<I> I`
` | `insertForId(Sql sql)`
`
`<I> I`
` | `insertForId(Sql sql, ResultSetProcessor processor)`
`
`<R> List<R>`
` | `selectForList(Sql sql)`
`
`<R> List<R>`
` | `selectForList(Sql sql, int limit, int offset)`
`
`<R> List<R>`
` | `selectForList(Sql sql, int limit, int offset, ResultSetProcessor processor)`
`
`<R> List<R>`
` | `selectForList(Sql sql, ResultSetProcessor processor)`
`
`<R> R`
` | `selectForObject(Sql sql)`
`
`<R> R`
` | `selectForObject(Sql sql, ResultSetProcessor processor)`
`int` | `update(Sql sql)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSqlRunner

    public BasicSqlRunner(DataSource dataSource)

### BasicSqlRunner

    public BasicSqlRunner(DataSource dataSource,
                          ResultSetProcessor objectProcessor)

### BasicSqlRunner

    public BasicSqlRunner(DataSource dataSource,
                          ResultSetProcessor objectProcessor,
                          ResultSetProcessor idProcessor)

Method Detail

### selectForObject

    public <R> R selectForObject(Sql sql)

  Specified by:
    `selectForObject` in interface `SqlRunner`

### selectForObject

    public <R> R selectForObject(Sql sql,
                                 ResultSetProcessor processor)

  Specified by:
    `selectForObject` in interface `SqlRunner`

### selectForList

    public <R> List<R> selectForList(Sql sql)

  Specified by:
    `selectForList` in interface `SqlRunner`

### selectForList

    public <R> List<R> selectForList(Sql sql,
                                     ResultSetProcessor processor)

  Specified by:
    `selectForList` in interface `SqlRunner`

### selectForList

    public <R> List<R> selectForList(Sql sql,
                                     int limit,
                                     int offset)

  Specified by:
    `selectForList` in interface `SqlRunner`

### selectForList

    public <R> List<R> selectForList(Sql sql,
                                     int limit,
                                     int offset,
                                     ResultSetProcessor processor)

  Specified by:
    `selectForList` in interface `SqlRunner`

### insert

    public int insert(Sql sql)

  Specified by:
    `insert` in interface `SqlRunner`

### insertForId

    public <I> I insertForId(Sql sql)

  Specified by:
    `insertForId` in interface `SqlRunner`

### insertForId

    public <I> I insertForId(Sql sql,
                             ResultSetProcessor processor)

  Specified by:
    `insertForId` in interface `SqlRunner`

### update

    public int update(Sql sql)

  Specified by:
    `update` in interface `SqlRunner`

### delete

    public int delete(Sql sql)

  Specified by:
    `delete` in interface `SqlRunner`

### execute

    public int execute(Sql sql)

  Specified by:
    `execute` in interface `SqlRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.